/********************************* (C) РОТЕК ***********************************
 * @module  web_params_api
 * @file    web_params_api.h
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   template
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */

/* Define to prevent recursive  ----------------------------------------------*/
#ifndef WEB_PARAMS_API_H
#define WEB_PARAMS_API_H

#include "stdbool.h"

/**
  * @brief  Заполнение JSON строки параметров
  */
void HTTP_GetParamsPage1(char *buf);
  
/**
  * @brief  Возвращяет строку с настройками на второй странице
  */
void HTTP_GetSettings(char *buf);

/**
  * @brief  Возвращяет строку с информацией об устройстве
  */
void HTTP_GetInfo(char *buf);

void HTTP_GetHistoryPage(char* buf, uint32_t pageNumber);

void HTTP_GetUpsHistoryPage(char* buf, uint32_t pageNumber);

/**
  * @brief  Возвращает uptime, freq, dutycicle
  */
void HTTP_GetProgonParams(char *buf);

/**
  * @brief  Сброс настроек
  */
void HTTP_ResetSettings(void);
	
/**
  * @brief  Сброс настроек
  */
void HTTP_SaveSettings(void);

/**
  * @brief  Перезагрузка контроллера
  */
void HTTP_Reboot(void);

/**
  * @brief  
  */
void HTTP_StartResetTask(bool fBootMode);

/**
  * @brief  
  */
void vTaskReboot(void * pvParameters);

#endif /* #ifndef WEB_PARAMS_API_H */

/********************************* (C) РОТЕК **********************************/
